Make checks more OS X friendly
diff --git a/src/check-internal-symbols.sh b/src/check-internal-symbols.sh
index a2f32b1..a24a693 100755
--- a/src/check-internal-symbols.sh
+++ b/src/check-internal-symbols.sh
@@ -14,15 +14,20 @@
 	exit 77
 fi
 
-so=.libs/libharfbuzz.so
-if test -f "$so"; then
-	echo "Checking that we are exposing internal symbols"
-	if nm $so | grep ' T ' | grep -v ' T _fini\>\| T _init\>\| T hb_'; then
-		echo "Ouch, internal symbols exposed"
-		stat=1
+tested=false
+for suffix in so; do
+	so=.libs/libharfbuzz.$suffix
+	if test -f "$so"; then
+		echo "Checking that we are exposing internal symbols"
+		if nm $so | grep ' T ' | grep -v ' T _fini\>\| T _init\>\| T hb_'; then
+			echo "Ouch, internal symbols exposed"
+			stat=1
+		fi
+		tested=true
 	fi
-else
-	echo "check-internal-symbols.sh: libharfbuzz.so not found; skipping test"
+done
+if ! $tested; then
+	echo "check-internal-symbols.sh: libharfbuzz shared library not found; skipping test"
 	exit 77
 fi
 
diff --git a/src/check-libstdc++.sh b/src/check-libstdc++.sh
index bbc8ac3..0521532 100755
--- a/src/check-libstdc++.sh
+++ b/src/check-libstdc++.sh
@@ -14,15 +14,20 @@
 	exit 77
 fi
 
-so=.libs/libharfbuzz.so
-if test -f "$so"; then
-	echo "Checking that we are not linking to libstdc++"
-	if ldd $so | grep 'libstdc[+][+]'; then
-		echo "Ouch, linked to libstdc++"
-		stat=1
+tested=false
+for suffix in so dylib; do
+	so=.libs/libharfbuzz.$suffix
+	if test -f "$so"; then
+		echo "Checking that we are not linking to libstdc++"
+		if ldd $so | grep 'libstdc[+][+]'; then
+			echo "Ouch, linked to libstdc++"
+			stat=1
+		fi
+		tested=true
 	fi
-else
-	echo "check-libstdc++.sh: libharfbuzz.so not found; skipping test"
+done
+if ! $tested; then
+	echo "check-internal-symbols.sh: libharfbuzz shared library not found; skipping test"
 	exit 77
 fi